<template>
    <div id="user-list" class="container">
        <div class="row">
            <div class="col-12">
                <h1 class="text-center">
                    User list
                </h1>
            </div>
            <div class="col-12">
                <div v-if="users === null || users.length === 0" class="col-12 text-center h3 pt-4">
                    There are no users in database :(
                </div>
                <div v-else>
                    <table class="table">
                        <thead>
                            <th>Username</th>
                            <th>Email</th>
                            <th>Roles</th>
                        </thead>
                        <tbody>
                            <tr v-for="user in users">
                                <td>
                                    {{ user.username }}
                                </td>
                                <td>
                                    {{ user.email }}
                                </td>
                                <td>
                                    {{ user.roles }}
                                </td>
                            </tr>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import axios from 'axios';

export default {
    data() {
        return {
            users: null
        }
    },
    mounted() {
        axios
            .get('/api/users.json')
            .then(response => (
                this.users = response.data
            ))
    }
}
</script>